/* Copyright (c) 1997, MpegTV LLC */
#ifndef _g2a_h
#define _g2a_h
#ifndef lint
static char rcsid_g2a_h[] = "$Header: /home/tristan/mpeg/dec/RCS/g2a.h,v 1.1 1997/08/11 05:16:56 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "misc.h"
#include "pmp.h"
#include "com_api.h"

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/* param for msg from control to player (union) */
typedef union {
	PMP_DATA_GENERIC	data_generic;
} PMP_DATA_G2A;


/*--------------------------------------------------------------------------+
| External																	|
+--------------------------------------------------------------------------*/
#if 0 /* Tristan Savatier - Fri Feb 14 17:55:49 PST 1997 */
///* communication channel from controls to player (g2a = gui to app) */
//extern PMP_CHANNEL		Pmp_g2a;
//
///* communication channel from player to controls */
//extern PMP_CHANNEL		Pmp_a2g;
#endif /* 0 - Tristan Savatier - Fri Feb 14 17:55:49 PST 1997 */

EXTERN_FUNCTION(int g2a_send, (PMP_STRUCT *, PMP_HEADER *, const PMP_DATA_G2A *));
EXTERN_FUNCTION(int g2a_send_double, (PMP_STRUCT *, COMMAND, int, double));
EXTERN_FUNCTION(int g2a_send_int, (PMP_STRUCT *, COMMAND, int, int));
EXTERN_FUNCTION(int g2a_send_string, (PMP_STRUCT *, COMMAND, int, const char *));
EXTERN_FUNCTION(int g2a_send_custom, (PMP_STRUCT *, COMMAND, int, const char *, u_int));
EXTERN_FUNCTION(int g2a_send_void, (PMP_STRUCT *, COMMAND, int));
EXTERN_FUNCTION(int g2a_init, (PMP_STRUCT *, const char **, const char *));
EXTERN_FUNCTION(int g2a_child_died, (const PMP_STRUCT *));
EXTERN_FUNCTION(int a2g_read_msg, (const PMP_STRUCT *, PMP_HEADER *, PMP_DATA_A2G *));
EXTERN_FUNCTION(Bool a2g_check_msg, (const PMP_STRUCT *));

#endif /* not _g2a_h */
