/* Copyright (c) 1997, MpegTV, LLc */
#ifndef _alert_api_h
#define _alert_api_h
#ifndef lint
static char rcsid_alert_api_h[] = "$Header: /home/tristan/mpeg/dec/RCS/alert_api.h,v 1.1 1997/08/11 05:12:14 tristan Exp $";
#endif


/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/

/* type of alerts */
typedef enum {
	ALERT_BAD_STREAM,	/* Hum... This doesn't look like an MPEG Systems or Video bitstream! Note: MpegTV cannot play MPEG Audio files */
	ALERT_NO_AUDIO,		/* Cannot play audio: Device busy or sampling rate not supported (muting) */
	ALERT_DEMO_IS_NOW_OBSOLETE,	/* (obsolete alert type) */
	ALERT_DEMO_MUTE_IS_NOW_OBSOLETE,	/* (obsolete alert type) */
	ALERT_NO_SHARED_MEMORY, /* Cannot allocate shared memory, using private memory - Performances will be reduced */
	ALERT_USING_PRIVATE_COLORMAP, /* Not enough colors colors available in shared colormap. Using private colormap. */
	ALERT_MPEG2_VIDEO 		/* This is an MPEG-2 stream. MpegTV Player 1.0 only plays MPEG-1 streams */
} ALERT_TYPE;

/* param for msg with type A2G_COM_ALERT */
typedef struct {
	ALERT_TYPE	alert;			/* type of alert */
	int			error;			/* errno */
} PMP_DATA_ALERT;


#endif /* not _alert_api_h */
